require_relative '../../lib/studio_game/berzerk_player'
require_relative 'spec_helper'

module StudioGame
  describe BerzerkPlayer do
  
    before do
      @initial_health = 50 
      @player = BerzerkPlayer.new("berzerker", @initial_health)
    end
    
    it "does not go berzerk when w00ted up to 5 times" do
      1.upto(5) { @player.w00t }
      
      @player.berserk?.should == false
      
      # or if using Rspec 3.0:
      # @player.berserk?.should be_falsey
    end
    
    it "goes berzerk when w00ted more than 5 times" do
      1.upto(6) { @player.w00t }
      
      @player.berserk?.should == true

      # or if using Rspec 3.0:
      # @player.berserk?.should be_truthy
    end
    
    it "gets w00ted instead of blammed when it's gone berzerk" do  
      1.upto(6) { @player.w00t }
      1.upto(2) { @player.blam }
      
      @player.health.should == @initial_health + (8 * 15)
    end
  end
end